#
# R}h֌W
#

#
# R}hNX
#
class Command
	# t@CŏIXV
	#
	def fdate(files, date = 0, msg = '(new)')
		flist = getFileList(files)
		times = flist.collect{|x| File.mtime(x) }
		raise "t@C܂" if times.empty?
		time = times.max	# ԍXVV̂I
		str = time.strftime('%Y/%m/%d')
		str << msg if (Time.now - time) < (24 * 60 * 60 * date)
		str
	end

	# t@CTCY
	#
	def fsize(files)
		flist = getFileList(files)
		sizes = flist.collect{|x| File.size(x) }
		size = 0
		sizes.each {|x| size += x }	# t@CTCY̍v
		if size < 1024
			"#{size}Bytes"
		elsif size < 1024 * 1024
			"%.2fKB" % (size.to_f / 1024)
		else
			"%.2fMB" % (size.to_f / 1024 / 1024)
		end
	end
	
	# t@C
	#
	def fnum(files, ignore_files = [])
		flist = getFileList(files) - getFileList(ignore_files)
		num = flist.size
		begin
			num = yield num			# ubNɓn
		rescue
		end
		num.to_s
	end
	
private
	# t@CXg𓾂
	#
	def getFileList(files)
		if files.is_a?(Array)
			list = []
			files.each {|file|
				list.concat Dir[file]
			}
			return list
		end
		
		Dir[files]
	end
end
