#
# C
#

require 'tag'

#
# CNX
#
class Main
	Usage = [
		"Usage: asi.rb ListFile",
		"Example: ruby asi.rb sample.asi",
		"",
		"asi.rb - HTMLɍŏIXVtȂǂ𖄂ߍ݂܂B",
		"ɃXgt@Cw肵܂B",
	]

	#
	#
	def initialize(argv)
		listfile = argv.shift
		unless listfile
			puts Usage
			exit
		end
		@listfile = []
		open (listfile) {|fp|
			while file = fp.gets
				@listfile << file.chomp
			end
		}
	end

	# C
	#
	def run
		@listfile.each {|file|
			tag = Tag.new(file)
			html = open(file) {|fp| fp.read}
			puts "#{file}܂B"
			asitag = /
				(							# $1:Jn^O
					<!-- \s* ASI \s+
					(.*?) \s* -->			# $2:R}h
				)
				(.*?)						# $3:}
				(<!-- \s* \/ASI \s* -->)	# $4:I^O
			/imx
			html.gsub!(asitag){
				$1 + tag.write($2, $3) + $4
			}
			if tag.changed?
				open(file, 'w'){|fp| fp.print html }
				puts "#{file}XV܂B"
			end
		}
	end
	
end
